---
title: "Create site cookie value targeting"
type: reference
method: POST
path: /rest-api/site/{siteId}/targeting/cookie-value/create.do
tag: "Targeting Rules"
---

# Create site cookie value targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/cookie-value/create.do`

Creates a cookie value targeting rule for the specified site. The rule matches requests where the specified cookie name holds the specified cookie value. Both cookieName and cookieValue are required. Returns the created targeting rule on success. Requires COOKIE_VALUE targeting permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `siteId` | integer | yes | `3001` | Unique numeric ID of the site |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `cookieName` | string | yes | `user_segment` | Name of the cookie to match against |
| `cookieValue` | string | yes | `premium` | Expected value of the cookie |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Site not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/cookie-value/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'cookieName=user_segment' \
  --data-urlencode 'cookieValue=premium'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-site-targeting-cookie-value-create